libmrm4_2.3.8-2_i386.deb


Advertisement

Description

libmrm4 - Motif - MRM (Motif Resource Manager) shared library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libmrm4_2.3.8-2_i386.deb
Package name libmrm4
Package version 2.3.8
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://motif.ics.com/
License -
Maintainer Graham Inggs <ginggs@debian.org>
Download size 90.16 KB
Installed size 214.00 KB
Motif is the industry standard GUI component toolkit for *NIX.
This package contains the MRM (Motif Resource Manager) shared library.

Alternatives

Package Version Architecture Repository
libmrm4_2.3.8-2_amd64.deb 2.3.8 amd64 Debian Main
libmrm4 - - -

Requires

Name Value
libc6 >= 2.7
libx11-6 -
libxm4 >= 2.3.4
libxt6 -
x11-common >= 1:7.0.0

Replaces

Name Value
libmotif3 << 2.3.3-2
libmotif4 << 2.3.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libmrm4_2.3.8-2_i386.deb
Source Package motif

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmrm4 deb package:
    # sudo apt-get install libmrm4

Files

Path
/usr/lib/i386-linux-gnu/libMrm.so.3
/usr/lib/i386-linux-gnu/libMrm.so.4
/usr/lib/i386-linux-gnu/libMrm.so.4.0.4
/usr/share/doc/libmrm4/changelog.Debian.gz
/usr/share/doc/libmrm4/changelog.gz
/usr/share/doc/libmrm4/copyright

Changelog

2018-02-17 - Graham Inggs <ginggs@debian.org>
motif (2.3.8-2) unstable; urgency=medium
* Update Vcs-* URIs for move to salsa.debian.org
* Turn debhelper up to 11
* Update debian/copyright
* Enable PIE on x32 since recent upload of flex
* Bump Standards-Version to 4.1.3, no changes needed
2017-12-16 - Graham Inggs <ginggs@debian.org>
motif (2.3.8-1) unstable; urgency=medium
* New upstream release
* Drop patch included upstream, refresh remaining
* Bump Standards-Version to 4.1.2, no changes needed
2017-09-05 - Graham Inggs <ginggs@debian.org>
motif (2.3.7-2) unstable; urgency=medium
* Revert redefining yyleng in fix-type-inconsistencies.patch,
thanks James Clarke (Closes: #870773)
* Disable PIE on x32, thanks James Clarke
* Bump Standards-Version to 4.1.0, no changes needed
2017-08-04 - Graham Inggs <ginggs@debian.org>
motif (2.3.7-1) unstable; urgency=medium
* New upstream release (Closes: #840762)
* Drop patches included upstream, refresh and rename remaining
* Drop override_dh_strip, ddeb migration is complete
* Drop build-dependency on dh-autoreconf
* Update debian/copyright
* Bump Standards-Version to 4.0.0, no further changes
* Enable building demos again since parallel build is fixed
* Update autopkgtest
* Fix another spelling error in manpages, thanks Lintian
* Pass hardening flags
* Revert fix for upstream bug #1617 which caused segfault in TabStack demo
2016-12-09 - Graham Inggs <ginggs@debian.org>
motif (2.3.4-13) unstable; urgency=medium
* Add libfl-dev to debian/tests/control as well.
2016-12-05 - Graham Inggs <ginggs@debian.org>
motif (2.3.4-12) unstable; urgency=medium
* Add libfl-dev to Build-Depends (Closes: #846443).
* Switch to debhelper compat level 10.
2016-10-10 - Graham Inggs <ginggs@debian.org>
motif (2.3.4-11) unstable; urgency=medium
[ Graham Inggs ]
* Include fixes from upstream 2.3.6 release:
- fix for upstream bug #1654
- fix for parallel build of demos
* Enable parallel build.
* Enable all hardening options.
* Fix more spelling errors in manpages, thanks Lintian.
* Update debian/watch to pick up recent tarballs without '-src'.
* Bump Standards-Version to 3.9.8, no changes needed.
[ Paul Gevers ]
* Add autopkgtest to build tools and demos.
2016-04-04 - Graham Inggs <ginggs@debian.org>
motif (2.3.4-10) unstable; urgency=medium
* Migrate from libmotif4-dbg to ddebs, bump debhelper build-dependency.
* Use secure URIs for VCS fields.
* Bump Standards-Version to 3.9.7, no changes needed.
* Add support for more Cyrillic locales in UIL,
thanks Andrey ``Bass'' Shcheglov (Closes: #815144).
* Fix more spelling errors in libxm and man pages, thanks Lintian.
2016-01-11 - Graham Inggs <ginggs@debian.org>
motif (2.3.4-9) unstable; urgency=medium
* Move custom Unity Greeter badge for MWM to unity-greeter-badges
package in Ubuntu (LP: #1396851).
* Let libmotif-dev depend on libx11-dev, libxft-dev and libxt-dev.
(Closes: #779816)
* Fix function 'Createform' implicitly converted to a pointer
at main.c:113 in TabStack demo.
* Disable fix for upstream bug #1565 which caused segfaults in
ddd and xpdf (Closes: #781995).
* Remove XmForceGrabKeyboard@Base from d/libxm4.symbols
which was introduced by upstream's updated fix applied in
motif 2.3.4-5 (Closes: #782678).
* Update my email address and copyright years.
* Fix spelling errors in README.Debian and remove unused
spelling error override in libxm4, thanks Lintian.
* Update /usr/X11R6/ paths in manpages to their correct locations.
(Closes: #783338)
* Remove transitional packages libmotif3, libmotif4 and motif-clients.
2015-04-17 - Paul Gevers <elbrus@debian.org>
motif (2.3.4-8) unstable; urgency=medium
[ Michael Gilbert ]
* Prepared upload.
* Remove symbol that was intended to be private. (Closes: #782678)

See Also

Package Description
libmrmpi-dev_1.0~20140404-2+b1_i386.deb Implements MapReduce operation on top of standard MPI message - development
libmrmpi1_1.0~20140404-2+b1_i386.deb Implements MapReduce operation on top of standard MPI message - runtime
libmro-compat-perl_0.13-1_all.deb mro::* interface compatibility for Perls < 5.9.5
libmrpt-base1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - base library
libmrpt-detectors1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - detectors library
libmrpt-dev_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - Development headers
libmrpt-graphs1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - graphs library
libmrpt-graphslam1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - graphslam library
libmrpt-gui1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - gui library
libmrpt-hmtslam1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - hmtslam library
libmrpt-hwdrivers1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - hwdrivers library
libmrpt-kinematics1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - kinematics library
libmrpt-maps1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - maps library
libmrpt-nav1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - nav library
libmrpt-obs1.5_1.5.6-1+b1_i386.deb Mobile Robot Programming Toolkit - obs library
Advertisement
Advertisement